aboutsummaryrefslogtreecommitdiff
path: root/lint/bash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lint/bash.sh')
-rw-r--r--lint/bash.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/lint/bash.sh b/lint/bash.sh
index 2fe1ba13..6457da35 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -1 +1,9 @@
-find bash -type f -print -exec shellcheck -e SC1090 -s bash -- {} +
+set \
+ bash/bash_completion \
+ bash/bash_completion.d/*.bash \
+ bash/bash_logout \
+ bash/bash_profile \
+ bash/bashrc \
+ bash/bashrc.d/*.bash
+shellcheck -e SC1090 -s bash -- "$@" || exit
+printf 'GNU Bash dotfiles linted successfully.\n'